prolexic-network-health-monitoring-top-talkers-samples

The following shows how to generate the prolexic-network-health-monitoring-top-talkers-samples report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides network health monitoring data for top network protocols with SFlow samples.

Business object: securityConfigs

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available metrics

MetricDescription
samplesThe number of SFlow records sampled in the report data.
countThe number of packets in the sample

Available filters

FilterTypeDescription
securityConfigsStringThe security config to display. REQUIRED
dimensionsEnumerationThe network traffic dimension to filter by:
Source IP, Source Port, Destination IP, Destination Port, Protocol, or Source ASN. REQUIRED
protocolsStringTCP, UDP, ICMP, ESP
portsStringThe source ports to filter by
scrubbing-centersStringThe Prolexic scrubbing centers
protected-prefixesStringThe list of Prolexic-protected prefixes

POST request

POST /reporting-api/v1/reports/prolexic-network-health-monitoring-top-talkers-samples/versions/1/report-data{?start,​end,interval}

Sample:

/reporting-reports-executor-api/v1/reports/prolexic-network-health-monitoring-top-talkers-samples/versions/1/report-data?start=2025-11-12T00%3A00%3A00Z&end=2025-11-14T00%3A00%3A00Z&interval=FIVE_MINUTES

Query parameters

ParameterTypeDescription
startStringSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endStringSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED
intervalEnumerationSpecifies the time interval: ONE_MINUTE,FIVE_MINUTES, HOUR or DAY REQUIRED

JSON request members

MemberTypeDescription
objectTypeStringSpecifies the business object for the report.
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: securityConfigs, dimensions ,protected-prefixes, scrubbing-centers.
metricsArraySpecifies the metrics to include: samples

Request body:

{
    "objectType": "securityConfigs",
    "objectIds": [
        "all"
    ],
    "filters": {
        "securityConfigs": [
            "all"
        ],
        "protected-prefixes": [
            "192.175.246.0/24"
        ],
        "dimensions": [
            "Source Port",
            "Destination Port",
            "Source IP"
        ],
      "scrubbing-centers":
				[
        "DFW5"
      ]	
    },
    "metrics": [
        "samples"
    ]
}

JSON response

Status 200 application/json

Response body

{
    "metadata": {
        "name": "prolexic-network-health-monitoring-top-talkers-samples",
        "version": "12",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "FIVE_MINUTES",
        "start": "2026-04-21T00:00:00Z",
        "end": "2026-04-22T00:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 0,
        "filters": [
            {
                "name": "securityConfigs",
                "values": [
                    "SC_cbc"
                ]
            },
            {
                "name": "protected-prefixes",
                "values": [
                    "204.137.40.0/23"
                ]
            },
            {
                "name": "dimensions",
                "values": [
                    "Source Port",
                    "Destination Port",
                    "Source IP",
                    "Destination IP",
                    "Packet Size",
                    "Protocol",
                    "ASN"
                ]
            },
            {
                "name": "number-of-rows",
                "values": [
                    "20"
                ]
            },
            {
                "name": "scrubbing-centers",
                "values": [
                    "DFW5"
                ]
            }
        ],
        "columns": [],
        "objectType": "securityConfigs",
        "objectIds": [
            "SC_cbc"
        ]
    },
    "data": [],
    "summaryStatistics": {
        "samples": {
            "value": "84",
            "details": {}
        }
    }
}